/* Typography ======================= */

body {
  font-family: var(--font-family-main);
  font-size: var(--text-size-main);
  font-weight: var(--text-font-weight-regular);
  line-height: var(--text-line-height-main);
  color: var(--color-text);
}

h1,
.h1 {
  font-size: var(--text-size-h1);
  font-weight: var(--text-font-weight-bold);
  line-height: var(--text-line-height-title);
  color: var(--color-title);
}


h2,
.h2 {
  font-size: var(--text-size-h2);
  font-weight: var(--text-font-weight-bold);
  line-height: var(--text-line-height-title);
  color: var(--color-title);
}

h3,
.h3 {
  font-size: var(--text-size-h3);
  font-weight: var(--text-font-weight-bold);
  line-height: var(--text-line-height-title);
  color: var(--color-title);
}

h4,
.h4 {
  font-size: var(--text-size-h4);
  font-weight: var(--text-font-weight-bold);
  line-height: var(--text-line-height-title);
  color: var(--color-title);
}

a[href *= "mailto:"],
a[href *= "tel:"] {

  &:hover {
    text-decoration: none;
    color: currentColor;
  }
}

a {
  font-size: var(--text-size-main);
  line-height: var(--text-line-height-main);
  text-decoration: underline;
  color: var(--color-primary);

  &:hover {
    text-decoration: none;
    color: var(--color-primary);
  }
}
/* ================ end typography  */
